Subject: bug#63274: closed (Re: [PATCH] gnu: dia: Update to 0.97.3-4.b903dd8)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 May 2023 20:41:02 +0000

Your bug report

#63274: dia: Fails to build (Meson: Function does not take positional arguments)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63274: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63274
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: dia: Update to 0.97.3-4.b903dd8
From: Liliana Marie Prikler <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>, [email-masked], [email-masked]
Cc: Raghav Gururajan <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Sun, 21 May 2023 22:40:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 15.05.2023 um 16:52 +0200 schrieb Giovanni Biscuolo:
> Hello,
> 
> gentle ping (and I forgot to Cc: the gnome team)
Pushed now.

Cheers

Subject: dia: Fails to build (Meson: Function does not take positional arguments)
From: Ivan Vilata i Balaguer <[email-masked]>
To: [email-masked]
Date: Thu, 4 May 2023 17:26:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!  It looks like the Meson build of `dia` fails to complete in the version
of Guix shown below:

```
$ LANG=C guix describe
Generation 56   May 02 2023 11:25:26    (current)
  guix 3f8c489
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 3f8c4899a9a67bb509a603bd21dcfcfab88c0e8e
```

This is the final part of the build log:

```
starting phase `configure'
The Meson build system
Version: 1.1.0
Source dir: /tmp/guix-build-dia-0.97.3-3.0997887.drv-0/source
Build dir: /tmp/guix-build-dia-0.97.3-3.0997887.drv-0/build
Build type: native build
Project name: dia
Project version: 0.97.3
C compiler for the host machine: gcc (gcc 11.3.0 "gcc (GCC) 11.3.0")
C linker for the host machine: gcc ld.bfd 2.38
C++ compiler for the host machine: c++ (gcc 11.3.0 "c++ (GCC) 11.3.0")
C++ linker for the host machine: c++ ld.bfd 2.38
[…]
Message: wpg_filter
Message: xfig_filter

../source/sheets/meson.build:47:32: ERROR: Function does not take positional arguments.

A full log can be found at /tmp/guix-build-dia-0.97.3-3.0997887.drv-0/build/meson-logs/meson-log.txt
error: in phase 'configure': uncaught exception:
%exception #<&invoke-error program: "meson" arguments: ("setup" "--prefix=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887" "--buildtype=debugoptimized" "-Dc_link_args=-Wl,-rpath=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887/lib" "-Dcpp_link_args=-Wl,-rpath=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887/lib" "/tmp/guix-build-dia-0.97.3-3.0997887.drv-0/source") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `configure' failed after 3.0 seconds
command "meson" "setup" "--prefix=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887" "--buildtype=debugoptimized" "-Dc_link_args=-Wl,-rpath=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887/lib" "-Dcpp_link_args=-Wl,-rpath=/gnu/store/v5syv2awp33lvq0fl1pavvpxv53i0w93-dia-0.97.3-3.0997887/lib" "/tmp/guix-build-dia-0.97.3-3.0997887.drv-0/source" failed with status 1
```

I know nothing about Meson, but the error reminds me of
<https://issues.guix.gnu.org/53182>, and I see that its fix 3969dc45 added
`(arguments `(#:meson ,meson-0.59))`, which was removed later in f38d8e05.

Thanks and have a nice day!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/